PETSc version 3.15.5
Fix/Edit manual page

# PCCompositeGetType

Gets the type of composite preconditioner.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCCompositeGetType(PC pc,PCCompositeType *type)

Logically Collective on PC

### Input Parameter

| pc | - the preconditioner context

### Output Parameter

| type | - PC_COMPOSITE_ADDITIVE (default), PC_COMPOSITE_MULTIPLICATIVE, PC_COMPOSITE_SPECIAL

### Options Database Key

| -pc_composite_type <type: one of multiplicative, additive, special> | - Sets composite preconditioner type

### Level

Developer

### Location

src/ksp/pc/impls/composite/composite.c

### Implementations

PCCompositeGetType_Composite in src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages